import { CoreModels__NS__ClassNameStaticProperty } from 'tnp-core/lib-prod';
import { BaseCli } from './base-cli';
/**
 * TODO refactor move to tnp-helpers
 */ export declare class $Generate extends BaseCli {
    static [CoreModels__NS__ClassNameStaticProperty]: string;
    _(): Promise<void>;
    libIndex(): Promise<void>;
    appRoutes(): Promise<void>;
    fieldsWebsqlRegions(): void;
}
declare const _default: {
    $Generate: Function;
};
export default _default;
